XFREERDP(1)

    .SH "NAME" xfreerdp - FreeRDP X11 client
    .SH "SYNOPSIS"

    .PP xfreerdp [file] [options] [/v:server[:port]]

    .SH "DESCRIPTION"

    .PP xfreerdp is an X11 Remote Desktop Protocol (RDP) client which is part of the FreeRDP project. An RDP server is built-in to many editions of Windows. Alternative servers included xrdp and VRDP (VirtualBox).

    .SH "OPTIONS"

            .PP /a:addin[,options], /addin:addin[,options]

                        Addin

                .RE
                .PP /action-script:file-name

                            Action script (default:~/.config/freerdp/action.sh)

                    .RE
                    .PP /admin, /console

                                Admin (or console) session

                        .RE
                        .PP +aero

                                    desktop composition (default:off)

                            .RE
                            .PP /app:path or ||alias

                                        Remote application program

                                .RE
                                .PP /app-cmd:parameters

                                            Remote application command-line parameters

                                    .RE
                                    .PP /app-file:file-name

                                                File to open with remote application

                                        .RE
                                        .PP /app-guid:app-guid

                                                    Remote application GUID

                                            .RE
                                            .PP /app-icon:icon-path

                                                        Remote application icon for user interface

                                                .RE
                                                .PP /app-name:app-name

                                                            Remote application name for user interface

                                                    .RE
                                                    .PP /app-workdir:workspace path

                                                                Remote application workspace path

                                                        .RE
                                                        .PP /assistance:password

                                                                    Remote assistance password

                                                            .RE
                                                            .PP /auto-request-control:

                                                                        Automatically request remote assistance input control

                                                                .RE
                                                                .PP +async-channels

                                                                            Asynchronous channels (experimental) (default:off)

                                                                    .RE
                                                                    .PP +async-input

                                                                                Asynchronous input (default:off)

                                                                        .RE
                                                                        .PP +async-update

                                                                                    Asynchronous update (default:off)

                                                                            .RE
                                                                            .PP /audio-mode:mode

                                                                                        Audio output mode

                                                                                .RE
                                                                                .PP +auth-only

                                                                                            Authenticate only (default:off)

                                                                                    .RE
                                                                                    .PP -authentication

                                                                                                Authentication (experimental) (default:on)

                                                                                        .RE
                                                                                        .PP +auto-reconnect

                                                                                                    Automatic reconnection (default:off)

                                                                                            .RE
                                                                                            .PP /auto-reconnect-max-retries:retries

                                                                                                        Automatic reconnection maximum retries, 0 for unlimited [0,1000]

                                                                                                .RE
                                                                                                .PP +bitmap-cache

                                                                                                            bitmap cache (default:off)

                                                                                                    .RE
                                                                                                    .PP /bpp:depth

                                                                                                                Session bpp (color depth) (default:16)

                                                                                                        .RE
                                                                                                        .PP /buildconfig

                                                                                                                    Print the build configuration

                                                                                                            .RE
                                                                                                            .PP /cert:[deny,ignore,name:name,tofu,fingerprint:hash:hash as hex[,fingerprint:hash:another hash]]

                                                                                                                        Certificate accept options. Use with care! * deny ... Automatically abort connection if the certificate does not match, no user interaction. * ignore ... Ignore the certificate checks altogether (overrules all other options) * name ... Use the alternate <name> instead of the certificate subject to match locally stored certificates * tofu ... Accept certificate unconditionally on first connect and deny on subsequent connections if the certificate does not match * fingerprints ... A list of certificate hashes that are accepted unconditionally for a connection

                                                                                                                .RE
                                                                                                                .PP /cert-deny

                                                                                                                            [deprecated, use /cert:deny] Automatically abort connection for any certificate that can not be validated.

                                                                                                                    .RE
                                                                                                                    .PP /cert-ignore

                                                                                                                                [deprecated, use /cert:ignore] Ignore certificate

                                                                                                                        .RE
                                                                                                                        .PP /cert-name:name

                                                                                                                                    [deprecated, use /cert:name:<name>] Certificate name

                                                                                                                            .RE
                                                                                                                            .PP /cert-tofu

                                                                                                                                        [deprecated, use /cert:tofu] Automatically accept certificate on first connect

                                                                                                                                .RE
                                                                                                                                .PP /client-build-number:number

                                                                                                                                            Client Build Number sent to server (influences smartcard behaviour, see [MS-RDPESC])

                                                                                                                                    .RE
                                                                                                                                    .PP /client-hostname:name

                                                                                                                                                Client Hostname to send to server

                                                                                                                                        .RE
                                                                                                                                        .PP /clipboard:[use-selection:atom]

                                                                                                                                                Redirect clipboard. * use-selection:<atom> ... (X11) Specify which X selection to access. Default is CLIPBOARD. PRIMARY is the X-style middle-click selection. (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /codec-cache:[rfx|nsc|jpeg]

                                                                                                                                                Bitmap codec cache

                                                                                                                                        .RE
                                                                                                                                        .PP -compression, -z

                                                                                                                                                compression (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /compression-level:level

                                                                                                                                                Compression level (0,1,2)

                                                                                                                                        .RE
                                                                                                                                        .PP +credentials-delegation

                                                                                                                                                credentials delegation (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /d:domain

                                                                                                                                                Domain

                                                                                                                                        .RE
                                                                                                                                        .PP -decorations

                                                                                                                                                Window decorations (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /disp

                                                                                                                                                Display control

                                                                                                                                        .RE
                                                                                                                                        .PP /drive:name,path

                                                                                                                                                Redirect directory <path> as named share <name>. Hotplug support is enabled with /drive:hotplug,*. This argument provides the same function as "Drives that I plug in later" option in MSTSC.

                                                                                                                                        .RE
                                                                                                                                        .PP +drives

                                                                                                                                                Redirect all mount points as shares (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /dvc:channel[,options]

                                                                                                                                                Dynamic virtual channel

                                                                                                                                        .RE
                                                                                                                                        .PP /dynamic-resolution

                                                                                                                                                Send resolution updates when the window is resized

                                                                                                                                        .RE
                                                                                                                                        .PP /echo, /echo

                                                                                                                                                Echo channel

                                                                                                                                        .RE
                                                                                                                                        .PP -encryption

                                                                                                                                                Encryption (experimental) (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /encryption-methods:[40,][56,][128,][FIPS]

                                                                                                                                                RDP standard security encryption methods

                                                                                                                                        .RE
                                                                                                                                        .PP /f

                                                                                                                                                Fullscreen mode (<Ctrl>+<Alt>+<Enter> toggles fullscreen)

                                                                                                                                        .RE
                                                                                                                                        .PP -fast-path

                                                                                                                                                fast-path input/output (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP +fipsmode

                                                                                                                                                FIPS mode (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /floatbar[:sticky:[on|off],default:[visible|hidden],show:[always|fullscreen||window]]

                                                                                                                                                floatbar is disabled by default (when enabled defaults to sticky in fullscreen mode)

                                                                                                                                        .RE
                                                                                                                                        .PP -fonts

                                                                                                                                                smooth fonts (ClearType) (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /frame-ack:number

                                                                                                                                                Number of frame acknowledgement

                                                                                                                                        .RE
                                                                                                                                        .PP /from-stdin[:force]

                                                                                                                                                Read credentials from stdin. With <force> the prompt is done before connection, otherwise on server request.

                                                                                                                                        .RE
                                                                                                                                        .PP /g:gateway[:port]

                                                                                                                                                Gateway Hostname

                                                                                                                                        .RE
                                                                                                                                        .PP /gateway-usage-method:[direct|detect], /gum:[direct|detect]

                                                                                                                                                Gateway usage method

                                                                                                                                        .RE
                                                                                                                                        .PP /gd:domain

                                                                                                                                                Gateway domain

                                                                                                                                        .RE
                                                                                                                                        .PP /gdi:sw|hw

                                                                                                                                                GDI rendering

                                                                                                                                        .RE
                                                                                                                                        .PP /geometry

                                                                                                                                                Geometry tracking channel

                                                                                                                                        .RE
                                                                                                                                        .PP +gestures

                                                                                                                                                Consume multitouch input locally (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /gfx[:RFX]

                                                                                                                                                RDP8 graphics pipeline

                                                                                                                                        .RE
                                                                                                                                        .PP +gfx-progressive

                                                                                                                                                RDP8 graphics pipeline using progressive codec (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP +gfx-small-cache

                                                                                                                                                RDP8 graphics pipeline using small cache mode (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP +gfx-thin-client

                                                                                                                                                RDP8 graphics pipeline using thin client mode (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP +glyph-cache

                                                                                                                                                Glyph cache (experimental) (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /gp:password

                                                                                                                                                Gateway password

                                                                                                                                        .RE
                                                                                                                                        .PP -grab-keyboard

                                                                                                                                                Grab keyboard (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP -grab-mouse

                                                                                                                                                Grab mouse (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /gt:[rpc|http[,no-websockets]|auto[,no-websockets]]

                                                                                                                                                Gateway transport type

                                                                                                                                        .RE
                                                                                                                                        .PP /gu:[[domain\]user|user[@domain]]

                                                                                                                                                Gateway username

                                                                                                                                        .RE
                                                                                                                                        .PP /gat:access token

                                                                                                                                                Gateway Access Token

                                                                                                                                        .RE
                                                                                                                                        .PP /h:height

                                                                                                                                                Height (default:768)

                                                                                                                                        .RE
                                                                                                                                        .PP -heartbeat

                                                                                                                                                Support heartbeat PDUs (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /help, /?

                                                                                                                                                Print help

                                                                                                                                        .RE
                                                                                                                                        .PP +home-drive

                                                                                                                                                Redirect user home as share (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /ipv6, /6

                                                                                                                                                Prefer IPv6 AAA record over IPv4 A record

                                                                                                                                        .RE
                                                                                                                                        .PP /kbd:0xid or name

                                                                                                                                                Keyboard layout

                                                                                                                                        .RE
                                                                                                                                        .PP /kbd-lang:0xid

                                                                                                                                                Keyboard active language identifier

                                                                                                                                        .RE
                                                                                                                                        .PP /kbd-fn-key:value

                                                                                                                                                Function key value

                                                                                                                                        .RE
                                                                                                                                        .PP /kbd-list

                                                                                                                                                List keyboard layouts

                                                                                                                                        .RE
                                                                                                                                        .PP /kbd-lang-list

                                                                                                                                                List keyboard languages

                                                                                                                                        .RE
                                                                                                                                        .PP /kbd-remap:List of key=value,... pairs to remap scancodes

                                                                                                                                                Keyboard scancode remapping

                                                                                                                                        .RE
                                                                                                                                        .PP /kbd-subtype:id

                                                                                                                                                Keyboard subtype

                                                                                                                                        .RE
                                                                                                                                        .PP /kbd-type:id

                                                                                                                                                Keyboard type

                                                                                                                                        .RE
                                                                                                                                        .PP /load-balance-info:info-string

                                                                                                                                                Load balance info

                                                                                                                                        .RE
                                                                                                                                        .PP /log-filters:tag:level[,tag:level[,...]]

                                                                                                                                                Set logger filters, see wLog(7) for details

                                                                                                                                        .RE
                                                                                                                                        .PP /log-level:[OFF|FATAL|ERROR|WARN|INFO|DEBUG|TRACE]

                                                                                                                                                Set the default log level, see wLog(7) for details

                                                                                                                                        .RE
                                                                                                                                        .PP /max-fast-path-size:size

                                                                                                                                                Specify maximum fast-path update size

                                                                                                                                        .RE
                                                                                                                                        .PP /max-loop-time:time

                                                                                                                                                Specify maximum time in milliseconds spend treating packets

                                                                                                                                        .RE
                                                                                                                                        .PP +menu-anims

                                                                                                                                                menu animations (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /microphone[:[sys:sys,][dev:dev,][format:format,][rate:rate,][channel:channel]], /mic[:[sys:sys,][dev:dev,][format:format,][rate:rate,][channel:channel]]

                                                                                                                                                Audio input (microphone)

                                                                                                                                        .RE
                                                                                                                                        .PP /monitor-list

                                                                                                                                                List detected monitors

                                                                                                                                        .RE
                                                                                                                                        .PP /monitors:id[,id[,...]]

                                                                                                                                                Select monitors to use

                                                                                                                                        .RE
                                                                                                                                        .PP -mouse-motion

                                                                                                                                                Send mouse motion (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /multimon[:force]

                                                                                                                                                Use multiple monitors

                                                                                                                                        .RE
                                                                                                                                        .PP +multitouch

                                                                                                                                                Redirect multitouch input (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP +multitransport

                                                                                                                                                Support multitransport protocol (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP -nego

                                                                                                                                                protocol security negotiation (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /network:[modem|broadband|broadband-low|broadband-high|wan|lan|auto]

                                                                                                                                                Network connection type

                                                                                                                                        .RE
                                                                                                                                        .PP /nsc, /nscodec

                                                                                                                                                NSCodec support

                                                                                                                                        .RE
                                                                                                                                        .PP +offscreen-cache

                                                                                                                                                offscreen bitmap cache (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /orientation:[0|90|180|270]

                                                                                                                                                Orientation of display in degrees

                                                                                                                                        .RE
                                                                                                                                        .PP +old-license

                                                                                                                                                Use the old license workflow (no CAL and hwId set to 0) (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /p:password

                                                                                                                                                Password

                                                                                                                                        .RE
                                                                                                                                        .PP /parallel[:name[,path]]

                                                                                                                                                Redirect parallel device

                                                                                                                                        .RE
                                                                                                                                        .PP /parent-window:window-id

                                                                                                                                                Parent window id

                                                                                                                                        .RE
                                                                                                                                        .PP +password-is-pin

                                                                                                                                                Use smart card authentication with password as smart card PIN (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /pcb:blob

                                                                                                                                                Preconnection Blob

                                                                                                                                        .RE
                                                                                                                                        .PP /pcid:id

                                                                                                                                                Preconnection Id

                                                                                                                                        .RE
                                                                                                                                        .PP /pheight:height

                                                                                                                                                Physical height of display (in millimeters)

                                                                                                                                        .RE
                                                                                                                                        .PP /play-rfx:pcap-file

                                                                                                                                                Replay rfx pcap file

                                                                                                                                        .RE
                                                                                                                                        .PP /port:number

                                                                                                                                                Server port

                                                                                                                                        .RE
                                                                                                                                        .PP -suppress-output

                                                                                                                                                suppress output when minimized (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP +print-reconnect-cookie

                                                                                                                                                Print base64 reconnect cookie after connecting (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /printer[:name[,driver]]

                                                                                                                                                Redirect printer device

                                                                                                                                        .RE
                                                                                                                                        .PP /proxy:[proto://][user:password@]host:port

                                                                                                                                                Proxy settings: override env. var (see also environment variable below). Protocol "socks5" should be given explicitly where "http" is default.

                                                                                                                                        .RE
                                                                                                                                        .PP /pth:password-hash, /pass-the-hash:password-hash

                                                                                                                                                Pass the hash (restricted admin mode)

                                                                                                                                        .RE
                                                                                                                                        .PP /pwidth:width

                                                                                                                                                Physical width of display (in millimeters)

                                                                                                                                        .RE
                                                                                                                                        .PP /rdp2tcp:executable path[:arg...]

                                                                                                                                                TCP redirection

                                                                                                                                        .RE
                                                                                                                                        .PP /reconnect-cookie:base64-cookie

                                                                                                                                                Pass base64 reconnect cookie to the connection

                                                                                                                                        .RE
                                                                                                                                        .PP /redirect-prefer:FQDN|IP|NETBIOS,[...]

                                                                                                                                                Override the preferred redirection order

                                                                                                                                        .RE
                                                                                                                                        .PP /relax-order-checks, /relax-order-checks

                                                                                                                                                Do not check if a RDP order was announced during capability exchange, only use when connecting to a buggy server

                                                                                                                                        .RE
                                                                                                                                        .PP /restricted-admin, /restrictedAdmin

                                                                                                                                                Restricted admin mode

                                                                                                                                        .RE
                                                                                                                                        .PP /rfx

                                                                                                                                                RemoteFX

                                                                                                                                        .RE
                                                                                                                                        .PP /rfx-mode:[image|video]

                                                                                                                                                RemoteFX mode

                                                                                                                                        .RE
                                                                                                                                        .PP /scale:[100|140|180]

                                                                                                                                                Scaling factor of the display (default:100)

                                                                                                                                        .RE
                                                                                                                                        .PP /scale-desktop:percentage

                                                                                                                                                Scaling factor for desktop applications (value between 100 and 500) (default:100)

                                                                                                                                        .RE
                                                                                                                                        .PP /scale-device:100|140|180

                                                                                                                                                Scaling factor for app store applications (default:100)

                                                                                                                                        .RE
                                                                                                                                        .PP /sec:[rdp|tls|nla|ext]

                                                                                                                                                Force specific protocol security

                                                                                                                                        .RE
                                                                                                                                        .PP +sec-ext

                                                                                                                                                NLA extended protocol security (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP -sec-nla

                                                                                                                                                NLA protocol security (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP -sec-rdp

                                                                                                                                                RDP protocol security (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP -sec-tls

                                                                                                                                                TLS protocol security (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /serial[:name[,path[,driver[,permissive]]]], /tty[:name[,path[,driver[,permissive]]]]

                                                                                                                                                Redirect serial device

                                                                                                                                        .RE
                                                                                                                                        .PP /shell:shell

                                                                                                                                                Alternate shell

                                                                                                                                        .RE
                                                                                                                                        .PP /shell-dir:dir

                                                                                                                                                Shell working directory

                                                                                                                                        .RE
                                                                                                                                        .PP /size:widthxheight or percent%[wh]

                                                                                                                                                Screen size (default:1024x768)

                                                                                                                                        .RE
                                                                                                                                        .PP /smart-sizing[:widthxheight]

                                                                                                                                                Scale remote desktop to window size

                                                                                                                                        .RE
                                                                                                                                        .PP /smartcard[:str[,str...]]

                                                                                                                                                Redirect the smartcard devices containing any of the <str> in their names.

                                                                                                                                        .RE
                                                                                                                                        .PP /smartcard-logon

                                                                                                                                                Activates Smartcard Logon authentication. (EXPERIMENTAL: NLA not supported)

                                                                                                                                        .RE
                                                                                                                                        .PP /sound[:[sys:sys,][dev:dev,][format:format,][rate:rate,][channel:channel,][latency:latency,][quality:quality]], /audio[:[sys:sys,][dev:dev,][format:format,][rate:rate,][channel:channel,][latency:latency,][quality:quality]]

                                                                                                                                                Audio output (sound)

                                                                                                                                        .RE
                                                                                                                                        .PP /span

                                                                                                                                                Span screen over multiple monitors

                                                                                                                                        .RE
                                                                                                                                        .PP /spn-class:service-class

                                                                                                                                                SPN authentication service class

                                                                                                                                        .RE
                                                                                                                                        .PP /ssh-agent, /ssh-agent

                                                                                                                                                SSH Agent forwarding channel

                                                                                                                                        .RE
                                                                                                                                        .PP /t:title, /title:title

                                                                                                                                                Window title

                                                                                                                                        .RE
                                                                                                                                        .PP -themes

                                                                                                                                                themes (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /timeout:time in ms, /timeout:time in ms

                                                                                                                                                Advanced setting for high latency links: Adjust connection timeout, use if you encounter timeout failures with your connection (default:9000)

                                                                                                                                        .RE
                                                                                                                                        .PP /tls-ciphers:[netmon|ma|ciphers]

                                                                                                                                                Allowed TLS ciphers

                                                                                                                                        .RE
                                                                                                                                        .PP /tls-seclevel:level

                                                                                                                                                TLS security level - defaults to 1 (default:1)

                                                                                                                                        .RE
                                                                                                                                        .PP +enforce-tlsv1_2

                                                                                                                                                Force use of TLS1.2 for connection. Some servers have a buggy TLS version negotiation and might fail without this (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP -toggle-fullscreen

                                                                                                                                                Alt+Ctrl+Enter to toggle fullscreen (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP /tune:setting:value,setting:value

                                                                                                                                                [experimental] directly manipulate freerdp settings, use with extreme caution! (default:)

                                                                                                                                        .RE
                                                                                                                                        .PP /tune-list

                                                                                                                                                Print options allowed for /tune

                                                                                                                                        .RE
                                                                                                                                        .PP /u:[[domain\]user|user[@domain]]

                                                                                                                                                Username

                                                                                                                                        .RE
                                                                                                                                        .PP +unmap-buttons

                                                                                                                                                Let server see real physical pointer button (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /v:server[:port]

                                                                                                                                                Server hostname

                                                                                                                                        .RE
                                                                                                                                        .PP /vc:channel[,options]

                                                                                                                                                Static virtual channel

                                                                                                                                        .RE
                                                                                                                                        .PP /version

                                                                                                                                                Print version

                                                                                                                                        .RE
                                                                                                                                        .PP /video

                                                                                                                                                Video optimized remoting channel

                                                                                                                                        .RE
                                                                                                                                        .PP /vmconnect[:vmid]

                                                                                                                                                Hyper-V console (use port 2179, disable negotiation)

                                                                                                                                        .RE
                                                                                                                                        .PP /w:width

                                                                                                                                                Width (default:1024)

                                                                                                                                        .RE
                                                                                                                                        .PP -wallpaper

                                                                                                                                                wallpaper (default:on)

                                                                                                                                        .RE
                                                                                                                                        .PP +window-drag

                                                                                                                                                full window drag (default:off)

                                                                                                                                        .RE
                                                                                                                                        .PP /window-position:xposxypos

                                                                                                                                                window position

                                                                                                                                        .RE
                                                                                                                                        .PP /wm-class:class-name

                                                                                                                                                Set the WM_CLASS hint for the window instance

                                                                                                                                        .RE
                                                                                                                                        .PP /workarea

                                                                                                                                                Use available work area

                                                                                                                                        .RE

                                                                                                                                .SH "ENVIRONMENT VARIABLES"

                                                                                                                                    .PP wlog environment variable

                                                                                                                                            xfreerdp uses wLog as its log facility, you can refer to the corresponding man page (wlog(7)) for more informations. Arguments passed via the /log-level or /log-filters have precedence over the environment variables.

                                                                                                                                    .RE

                                                                                                                                .SH "EXAMPLES"

                                                                                                                                    .PP xfreerdp connection.rdp /p:Pwd123! /f

                                                                                                                                            Connect in fullscreen mode using a stored configuration connection.rdp and the password Pwd123!

                                                                                                                                    .RE
                                                                                                                                    .PP xfreerdp /u:USER /size:50%h /v:rdp.contoso.com

                                                                                                                                            Connect to host rdp.contoso.com with user USER and a size of 50 percent of the height. If width (w) is set instead of height (h) like /size:50%w. 50 percent of the width is used.

                                                                                                                                    .RE
                                                                                                                                    .PP xfreerdp /u:CONTOSO\\JohnDoe /p:Pwd123! /v:rdp.contoso.com

                                                                                                                                            Connect to host rdp.contoso.com with user CONTOSO\\JohnDoe and password Pwd123!

                                                                                                                                    .RE
                                                                                                                                    .PP xfreerdp /u:JohnDoe /p:Pwd123! /w:1366 /h:768 /v:192.168.1.100:4489

                                                                                                                                            Connect to host 192.168.1.100 on port 4489 with user JohnDoe, password Pwd123!. The screen width is set to 1366 and the height to 768

                                                                                                                                    .RE
                                                                                                                                    .PP xfreerdp /u:JohnDoe /p:Pwd123! /vmconnect:C824F53E-95D2-46C6-9A18-23A5BB403532 /v:192.168.1.100

                                                                                                                                            Establish a connection to host 192.168.1.100 with user JohnDoe, password Pwd123! and connect to Hyper-V console (use port 2179, disable negotiation) with VMID C824F53E-95D2-46C6-9A18-23A5BB403532

                                                                                                                                    .RE
                                                                                                                                    .PP +clipboard

                                                                                                                                            Activate clipboard redirection

                                                                                                                                    .RE
                                                                                                                                    .PP /drive:home,/home/user

                                                                                                                                            Activate drive redirection of /home/user as home drive

                                                                                                                                    .RE
                                                                                                                                    .PP /smartcard:<device>

                                                                                                                                            Activate smartcard redirection for device device

                                                                                                                                    .RE
                                                                                                                                    .PP /printer:<device>,<driver>

                                                                                                                                            Activate printer redirection for printer device using driver driver

                                                                                                                                    .RE
                                                                                                                                    .PP /serial:<device>

                                                                                                                                            Activate serial port redirection for port device

                                                                                                                                    .RE
                                                                                                                                    .PP /parallel:<device>

                                                                                                                                            Activate parallel port redirection for port device

                                                                                                                                    .RE
                                                                                                                                    .PP /sound:sys:alsa

                                                                                                                                            Activate audio output redirection using device sys:alsa

                                                                                                                                    .RE
                                                                                                                                    .PP /microphone:sys:alsa

                                                                                                                                            Activate audio input redirection using device sys:alsa

                                                                                                                                    .RE
                                                                                                                                    .PP /multimedia:sys:alsa

                                                                                                                                            Activate multimedia redirection using device sys:alsa

                                                                                                                                    .RE
                                                                                                                                    .PP /usb:id,dev:054c:0268

                                                                                                                                            Activate USB device redirection for the device identified by 054c:0268

                                                                                                                                    .RE

                                                                                                                                .SH "LINKS"

                                                                                                                                .PP http://www.freerdp.com/

AUTHOR

The FreeRDP Team